Bug 491267 - kernel should be built with -fwrapv [rhel-4.9]
kernel should be built with -fwrapv [rhel-4.9]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.9
All Linux
urgent Severity high
: rc
: ---
Assigned To: Vivek Goyal
Red Hat Kernel QE team
: Reopened
Depends On:
Blocks: 583726
  Show dependency treegraph
 
Reported: 2009-03-20 02:44 EDT by Eugene Teo (Security Response)
Modified: 2014-03-17 04:03 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-18 12:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (1.25 KB, patch)
2009-03-20 02:46 EDT, Eugene Teo (Security Response)
no flags Details | Diff

  None (edit)
Description Eugene Teo (Security Response) 2009-03-20 02:44:53 EDT
Description of problem:
Add '-fwrapv' to gcc CFLAGS. This makes sure that gcc doesn't try to optimize
away wrapping arithmetic, which the kernel occasionally uses for overflow
testing, ie things like

if (ptr + offset < ptr)

which technically is undefined for non-unsigned types. See

http://bugzilla.kernel.org/show_bug.cgi?id=12597

for details.

Not all versions of gcc support it, so we need to make it conditional (it looks
like it was introduced in gcc-3.4).
Comment 4 RHEL Product and Program Management 2009-03-30 11:45:14 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.
Comment 5 Eugene Teo (Security Response) 2009-05-20 01:41:52 EDT
(In reply to comment #4)
> Development Management has reviewed and declined this request.  You may appeal
> this decision by reopening this request.  

Reopened the bug. See https://bugzilla.redhat.com/show_bug.cgi?id=491266#c5.

Note You need to log in before you can comment on or make changes to this bug.